Bug 1022932 - engine-setup should not fail if /etc/ovirt-engine/.pgpass exists
engine-setup should not fail if /etc/ovirt-engine/.pgpass exists
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Yedidyah Bar David
sefi litmanovich
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 05:41 EDT by Yedidyah Bar David
Modified: 2014-01-21 17:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21340 None None None Never

  None (edit)
Description Yedidyah Bar David 2013-10-24 05:41:55 EDT
Description of problem:

/etc/ovirt-engine/.pgpass was used by releases up to and including 3.2 to store database access credentials. 3.3 checks this file during upgrade from 3.2, but also on a new setup, if it exists, and fails if the credentials there point to an inaccessible database.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install 3.2
2. run engine-setup
3. Copy /etc/ovirt-engine/.pgpass to a backup elsewhere
4. engine-cleanup
5. Install (or upgrade to) 3.3
6. Copy the backup back to /etc/ovirt-engine/.pgpass
7. run engine-setup

Actual results:

engine-setup fails with:

[ ERROR ] Failed to execute stage 'Misc configuration': FATAL:  Ident authentication failed for user "engine" FATAL:  Ident authentication failed for user "engine"

Expected results:

engine-setup should continue, ignoring this file and creating a new database or connect to an existing one as chosen by the user

Additional info:

This file is cleaned by 3.2's engine-cleanup.

3.3.'s engine-setup used to leave it behind as-is until recently. Now it zeros it.

3.3.'s engine-cleaup does not touch it.
Comment 1 sefi litmanovich 2013-12-16 09:02:12 EST
Verified on rhevm3.3 is27, works for >= is24.

reproduced as per description with update from rhevm 3.2 sf22 to rhevm 3.3 is27.
Comment 2 Itamar Heim 2014-01-21 17:21:40 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:26:58 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.